/*<img>设置图片
 *1.从本地获取,如果本地存在,则直接设置图片
 *2.如果本地不存在则联网下载,缓存到本地,再设置图片
 * */
function setImg(imgId, loadUrl,defualturl) {
	if (imgId == null || loadUrl == null) return;
	var _e = '';
	if (loadUrl.indexOf('.png') > -1) {
		_e = loadUrl.substring(loadUrl.lastIndexOf(".png") + 4, loadUrl.length);
	} else if (loadUrl.indexOf('.jpg') > -1) {
		_e = loadUrl.substring(loadUrl.lastIndexOf(".jpg") + 4, loadUrl.length);
	} else if (loadUrl.indexOf('.bmp') > -1) {
		_e = loadUrl.substring(loadUrl.lastIndexOf(".bmg") + 4, loadUrl.length);
	} else if (loadUrl.indexOf('.PNG') > -1) {
		_e = loadUrl.substring(loadUrl.lastIndexOf(".PNG") + 4, loadUrl.length);
	} else if (loadUrl.indexOf('.JPG') > -1) {
		_e = loadUrl.substring(loadUrl.lastIndexOf(".JPG") + 4, loadUrl.length);
	} else if (loadUrl.indexOf('.BMP') > -1) {
		_e = loadUrl.substring(loadUrl.lastIndexOf(".BMP") + 4, loadUrl.length);
	}else{
		loadUrl='..../../../images/photo-default.png';
	}
	var _t = loadUrl.substring(loadUrl.lastIndexOf("image_path=") + 11, loadUrl.length);
	var filename = _t.replace(_e, '');
	if (filename.length < 1) return;
	var relativePath = "_downloads/" + filename;
	//检查图片是否已存在
	plus.io.resolveLocalFileSystemURL(relativePath, function(entry) {
		//console.log("图片存在,直接设置=" + relativePath);
		//如果文件存在,则直接设置本地图片
		setImgFromLocal(imgId, relativePath);
	}, function(e) {
		//console.log("图片不存在,联网下载=" + relativePath);
		//如果文件不存在,联网下载图片
		setImgFromNet(imgId, loadUrl, relativePath,defualturl);
	});
}

/*给图片标签<img>设置本地图片
 * imgId 图片标签<img>的id
 * relativePath 本地相对路径 例如:"_downloads/logo.jpg"
 */
function setImgFromLocal(imgId, relativePath) {
	//本地相对路径("_downloads/logo.jpg")转成SD卡绝对路径("/storage/emulated/0/Android/data/io.dcloud.HBuilder/.HBuilder/downloads/logo.jpg");
	var sd_path = plus.io.convertLocalFileSystemURL(relativePath);
	//给<img>设置图片
	var img=$id(imgId);
	img.setAttribute("src", sd_path);
	//AutoResizeImage(plus.display.resolutionWidth,250,img);
	
	
}



/*联网下载图片,并设置给<img>*/
function setImgFromNet(imgId, loadUrl, relativePath,defualturl) {
	//先设置下载中的默认图片
	$id(imgId).setAttribute("src", "..../../../images/photo-default.png");
	//创建下载任务
	var dtask = plus.downloader.createDownload(loadUrl, {
		filename: relativePath
	}, function(d, status) {
		if (d.state == 4 || status == 200) {
//			if(d.downloadedSize!=d.totalSize){
//				if (relativePath != null){
//					delFile(relativePath);
//					dtask.start();
//				}
//			}
			
			//下载成功
			setImgFromLocal(imgId, d.filename);
		} else {
			var img=$id(imgId);
			if(defualturl)
			img.setAttribute("src", defualturl);
			//下载失败,需删除本地临时文件,否则下次进来时会检查到图片已存在
			//dtask.abort();//文档描述:取消下载,删除临时文件;(但经测试临时文件没有删除,故使用delFile()方法删除);
			if (relativePath != null)
				delFile(relativePath);
		}
	});
	//启动下载任务
	dtask.start();
}

/*删除指定文件*/
function delFile(relativePath) {
	plus.io.resolveLocalFileSystemURL(relativePath, function(entry) {
		entry.remove(function(entry) {
			console.log("文件删除成功==" + relativePath);
		}, function(e) {
			console.log("文件删除失败=" + relativePath);
		});
	});
}

/*根据id查找元素*/
function $id(id) {
	return document.getElementById(id);
}

function AutoResizeImage(maxWidth, maxHeight, objImg) {
	var img = new Image();
	img.src = objImg.src;
	var hRatio;
	var wRatio;
	var Ratio = 1;
	var w = img.width;
	var h = img.height;
	wRatio = maxWidth / w;
	hRatio = maxHeight / h;
	if (maxWidth == 0 && maxHeight == 0) {
		Ratio = 1;
	} else if (maxWidth == 0) { //
		if (hRatio < 1) Ratio = hRatio;
	} else if (maxHeight == 0) {
		if (wRatio < 1) Ratio = wRatio;
	} else if (wRatio < 1 || hRatio < 1) {
		Ratio = (wRatio <= hRatio ? wRatio : hRatio);
	}
	if (Ratio < 1) {
		w = w * Ratio;
		h = h * Ratio;
	}
	objImg.height = h;
	objImg.width = w;
}