/**
 * @author thomas
 * @desc 仅支持用于返回json对象的请求
 * 
 */

var TableForShopping = 'tea_life_shopping_cache';

//加载数据的时候检测网络是否准备好，如果网络
var Event_NetworkNotReady = '_tealife_event_network_not_ready';

var reuestDefual = {
	url: '',
	method: 'get',
	requestParam: '',
	dataType: 'json',
	forceFromServer: false,
	success: function(responce) {},
	error: function(error) {},
	_mapKey: '',
	_tableName: 'tea_life_shopping_cache'
};

//存放缓存数据的本地数据库句柄
var _cacheDB;

//缓存的有效时间为1
var _validTime = 1 * 60 * 60 * 1000;

/**
 * 检测对应的缓存表是否存在，如果不存在，则创建对应的表
 */
function _checkdbTables() {
	var _createTableSQL = 'CREATE TABLE IF NOT EXISTS tea_life_shopping_cache (request_key text PRIMARY KEY,response_data text,response_time text)';
	_cacheDB.transaction(function(tx) {
		tx.executeSql(_createTableSQL, [], function() {
			console.log('[data-loader-check-success]' + _createTableSQL);
		}, function() {});
	});
}

/**
 * 初始化数据加载插件
 * 
 * 1 数据库初始化
 */
function initLoader() {
	//初始化数据库
	//_cacheDB = openDatabase('chatao', '1.0', 'DB File', 5 * 1024 * 1024);

	_cacheDB = openDb();

	//初始化数据缓存表
	if (_cacheDB) {

		_checkdbTables();
	} else {
		console.error('[data-loader-cacheDB-faild]can not open cache database');
	}

}

/**
 * 根据请求对象返回对应用于数据索引的key 
 * 如果没有对应url，则返回空字符串
 * @param {Object} requestObj
 */
function _mapKey(requestObj) {
	//对于get请求，直接返回请求地址对应的md5值
	if (requestObj.method == 'get' || requestObj.method == 'GET') {
		requestObj._mapKey = hex_md5(requestObj.url);
	} else if (requestObj.method == 'post' || requestObj.method == 'POST') {
		requestObj._mapKey = requestObj.url + '?pdata=' + JSON.stringify(requestObj.requestParam);
	} else {
		requestObj._mapKey = '';
	}
}

/**
 * 将从服务器端获取到的respnse缓存到本地 
 * @param {Object} response
 */
function _saveOrUpdateLocal(requestObj, response, type) {
	//当前缓存时间
	var _now = new Date();

	//新增缓存
	var _saveSQL = "insert into " + requestObj._tableName + " values('" + requestObj._mapKey + "','" + JSON.stringify(response) + "','" + _now.toString() + "')";

	//更新缓存
	var _updateSQL = "update " + requestObj._tableName + " set response_data='" + JSON.stringify(response) + "',response_time='" + _now.toString() + "' where request_key='" + requestObj._mapKey + "'";

	var _exeSQL = '';

	if (type == 'new') {
		_exeSQL = _saveSQL;
	} else {
		_exeSQL = _updateSQL;
	}

	//执行最终的缓存处理

	_cacheDB.transaction(function(tx) {
		tx.executeSql(_exeSQL, [], function() {
			console.log('[data-loader-cache-success]' + _exeSQL);
			//将结果反馈给上层调用
			if (!mui.isObject(response) && !mui.isArray(response)) {
				response = JSON.parse(response);
				requestObj.success(response);
			} else {
				requestObj.success(response);
			}

		}, function() {});
	});

}

/**
 * 从服务器上加载最新的数据
 * 
 * @param {Object} requestObj
 */
function _loadFromServer(requestObj, type) {
	_App.ajax({
		type: requestObj.method,
		url: requestObj.url,
		data: requestObj.requestParam,
		cache: false,
		async: false,
		timeout:5000,
		dataType: 'json',
		success: function(response) {
			if (!mui.isObject(response) && !mui.isArray(response)) {
				response = JSON.parse(response);
			} 
			var _now=new Date();
			var cache={};
			cache.lastTime=_now.toString();
			cache.data=JSON.stringify(response);
			window.localStorage.setItem(requestObj._mapKey,JSON.stringify(cache));
			
			//将结果反馈给上层调用
			
			requestObj.success(response);
			//_saveOrUpdateLocal(requestObj, response, type);
		},
		error: function(a, b, c) {
			requestObj.error();
		}
	});
}

/**
 * 加载对应请求的本地缓存
 * 如果命中本地缓存，并且
 * @param {Object} requestKey
 * @param {Object} tableName
 */
function queryData(request) {
//	if (!_cacheDB) {
//		initLoader();
//	}

	var requestObj = mui.extend(true, reuestDefual, request || {});
	_mapKey(requestObj);
	var cachedata = window.localStorage.getItem(requestObj._mapKey);
	console.log('cache:'+cachedata);
	if (cachedata && cachedata.length > 10) {
		var cacheObj = JSON.parse(cachedata);
		var dt = cacheObj.lastTime;
		var responTimeDt = Date.parse(dt);
		var now = new Date();
		//缓存已失效或上层调用强制要求从服务器加载，从服务器端获取,否则直接将前一次的resonse返回给上层调用
		if (now - responTimeDt >= _validTime || requestObj.forceFromServer) {
			console.log('[data-loader-load-from-net]now - responTimeDt >= _validTime:'+(now - responTimeDt >= _validTime));
			_loadFromServer(requestObj, 'update');
		} else {
			console.log('[data-loader-load-from-local]');
			requestObj.success(cacheObj.data);
		}
	} else {
		//本地不存在数据，则直接从服务器端获取数据
		console.log('[data-loader-load-from-net]');
		_loadFromServer(requestObj, 'new');
	}
//
//	var loadSQL = "select * from " + requestObj._tableName + " where request_key='" + requestObj._mapKey + "'";
//
//	console.log(requestObj._mapKey);
//	_cacheDB.transaction(function(tx) {
//		tx.executeSql(loadSQL, [],
//			function(tx, results) {
//				//如果本地缓存中存在数据，则加载并检测数据
//				if (results.rows.length > 0) {
//					var responTime = results.rows.item(0).response_time;
//					var responTimeDt = Date.parse(responTime);
//					var now = new Date();
//					//缓存已失效或上层调用强制要求从服务器加载，从服务器端获取,否则直接将前一次的resonse返回给上层调用
//					if (now - responTimeDt >= _validTime || requestObj.forceFromServer) {
//						console.log('[data-loader-load-from-net]');
//						_loadFromServer(requestObj, 'update');
//					} else {
//						console.log('[data-loader-load-from-local]');
//						requestObj.success(JSON.parse(results.rows.item(0).response_data));
//					}
//				} else {
//					//本地不存在数据，则直接从服务器端获取数据
//					console.log('[data-loader-load-from-net]');
//					_loadFromServer(requestObj, 'new');
//
//				}
//
//			},
//			function() {
//
//			}
//		);
//
//	});

}