/**
 * @author		: Pu Weibin
 * @datatime	: 2016-1-12 20:18:23
 */
var ISchoolApi = {
	ReviewMark : {
		queryReviewMarkStudent : function (data, callback) {
			return ISchoolApi.request.send("/reviewMarkAction/queryReviewMarkStudent.do", data, callback);
		},
		sendMobileMsg : function (data, callback) {
			return ISchoolApi.request.send("/reviewMarkAction/sendMobileMsg.do", data, callback);
		},
		validMobileMsg : function (data, callback) {
			return ISchoolApi.request.send("/reviewMarkAction/validMobileMsg.do", data, callback);
		},
		queryStudentMarks : function (data, callback) {
			return ISchoolApi.request.send("/reviewMarkAction/queryStudentMarks.do", data, callback);
		},
		submitReviewMark : function (data, callback) {
			return ISchoolApi.request.post("/reviewMarkAction/submitReviewMark.do", data, callback);
		},
		/*
		submitReviewMark : function (data, callback) {
			return ISchoolApi.request.send("/reviewMarkAction/submitReviewMark.do", data, callback);
		},*/
		queryReviewMarkOrderAndDetail : function (data, callback) {
			return ISchoolApi.request.send("/reviewMarkAction/queryReviewMarkOrderAndDetail.do", data, callback);
		},
		updateReviewMarkStatus : function (data, callback) {
			return ISchoolApi.request.send("/reviewMarkAction/updateReviewMarkStatus.do", data, callback);
		},
		
		/**
		 * 2016.1.13 thomas
		 * 
		 * 提交用户手写数据 
		 **/
		submitUserSignImageWithBase64Code:function(data, callback){
			return ISchoolApi.request.post("/reviewMarkAction/saveStuSignImageBase64.do", data, callback);
		},
		
		/**
		 *2016.1.13 thomas
		 * 
		 * 更新支付状态 
		 */
		updatePayStatus:function(data,callback){
			return ISchoolApi.request.send("/reviewMarkAction/updateReviewMarkStudentOrder.do", data, callback);
		}
	}
};

ISchoolApi.type = {
	DEBUG 	: 0,
	RELEASE : 1,
	TEST 	: 2,
	DEVELOP : 3
};

/**
 * API设置
 */
ISchoolApi.setting = {
	developType : ISchoolApi.type.DEVELOP,
	method 		: "GET",			// 请求类型POST, GET, PUT等
	serverIp 	: "",				// 服务器请求地址
	port 		: "",				// 服务器请求端口
	headers 	: {					// 头文件配置
		"Accept" 		: "application/json; charset=utf-8",
		"Content-Type" 	: "application/json; charset=utf-8"
	},
	dataType 	: "json",			// 返回数据类型
	async 		: true,				// 同步处理
	beforeSend 	: function () {},	// 全局请求开始回调函数
	complete 	: function () {},	// 全局请求结束回调函数
	error 		: function () {}	// 全局错误回调函数
};

/**
 * 全局数据加载进度条
 */
ISchoolApi.alert = {
	loading : {
		show : function () {
			if (document.getElementById("request_loading")) {
				$("#request_loading").show();
			} else {
				var backgroundDiv = document.createElement("div");
				backgroundDiv.id = "request_loading";
				$(backgroundDiv).css({
					"position"				: "absolute",
					"top"					: "0",
					"left"					: "0",
					"width"					: "100%",
					"height"				: "100%",
					"background-color"		: "rgba(0, 0, 0, 0.7)",
					"z-index"				: "800"
				});
				var dialogDiv = document.createElement("div");
				$(dialogDiv).css({
					"position"				: "absolute",
					"top"					: "50%",
					"left"					: "50%",
					"width"					: "135px",
					"height"				: "100px",
					"background-color"		: "#FFFFFF",
					"margin-top"			: "-50px",
					"margin-left"			: "-67px",
 					"z-index"				: "2000",
 					"-moz-border-radius"	: "10px",
 					"border-radius"			: "10px",
 					"-webkit-border-radius"	: "10px"
				});
				var loadImg = document.createElement("img");
				$(loadImg).attr("src", "img/load.gif");
				$(loadImg).css({
					"width"					: "135px",
					"height"				: "100%",
					"-moz-border-radius"	: "10px",
					"border-radius"			: "10px",
					"-webkit-border-radius"	: "10px"
				});
				backgroundDiv.appendChild(dialogDiv);
				dialogDiv.appendChild(loadImg);
				$(document.body).append(backgroundDiv);
			}
		},
		hide : function () {
			$("#request_loading").hide();
		}
	}
};

/**
 * 全局请求公共方法
 */
ISchoolApi.request = {
	send : function (url, data, callback) {
		return ISchoolApi.request.service(url, ISchoolApi.setting.method, data, callback);
	},
	post : function(url, data, callback) {
		return ISchoolApi.request.service(url, "POST", data, callback);
	},
	get : function(url, data, callback) {
		return ISchoolApi.request.service(url, "GET", data, callback);
	},
	put : function(url, data, callback) {
		return ISchoolApi.request.service(url, "PUT", data, callback);
	},
	delete : function(url, data, callback) {
		return ISchoolApi.request.service(url, "DELETE", data, callback);
	},
	service : function (url, type, data, callback) {
		var setting = ISchoolApi.setting;
		var server, requestUrl, requestUrl;
		if (setting.serverIp != "" && setting.port != "") {
			server = setting.serverIp + ":" + setting.port;
		} else {
			server = window.localStorage.getItem("ischoolyard.server.ip");
			if (!server) {
				switch (setting.developType) {
					case ISchoolApi.type.DEVELOP :
						server = "121.40.251.190:8080";
						break;
					case ISchoolApi.type.RELEASE :
						server = "yxxt.cdcas.edu.cn";
						break;
					default: 
						return;
				}
			}
		}
		requestUrl = "http://" + server + url;
		var returnAjax = $.ajax({
			type	: type,				// 请求类型：POST, GET
			url		: requestUrl,		// 请求地址：URL
			data	: data,				// 请求数据：JSON
			async	: setting.async,	// 是否同步：true, false
			dataType: setting.dataType,	// 返回数据类型：json, jsonp, text, xml ...
			headers	: setting.headers,	// 请求头文件：Accept ...
			success : function (result) {
				result = result;
				if (!(typeof callback == "undefined")) {
					callback(result);
				}
			},
			error 	: function (error) {
				if (!(typeof callback == "undefined")) {
					callback(error);
				}
				setting.error(error);
			},
			beforeSend : function (_beforeSend) {
				setting.beforeSend(_beforeSend);
			},
			complete: function (_complete) {
				setting.complete(_complete);
			}
		});
		return typeof returnAjax.responseJSON != "undefined" ? returnAjax.responseJSON : {};
	}
};

var $i = ISchoolApi;