(function($){
	"use strict";
	
	if (!$) {
		console.log("未使用jQuery框架");
	};
	
	var Alipay = {};
	Alipay.version = "1.0";
	
	/**
	 * 检测是否安装支付宝
	 * @param {Object} callback
	 */
	Alipay.check = function (callback) {
		cordova.exec(
            callback,
            function() {
            },
            "AlipayPlugin",
            "check",
            [{}]
        );
	};
	
	/**
	 * 支付
	 * @param {Object} param {"subject":"商品名称", "body": "描述", "price": "0.01"}
	 * @param {Object} callback
	 */
	Alipay.pay = function (param, callback) {
		if (!(typeof param == "object")) {
			return false;
		}
		cordova.exec(function (result) {
			callback(result);
		}, function (error) {
			callback(error);
		}, "AlipayPlugin", "pay", [param]);
	};
}(jQuery));

(function(_win, _doc){
	if (_win) {
		_win.Alipay = new Alipay();
	};
}(window, document));
