
var repariExamItemList = null;
var serverPath="http://" + getServer() + "/";
var redo_nbr_key="ischool.redo.order.no";
var schoolNbr=0;
var selectArray = new Array();
var selectItemArray = new Array();
var checkItemArray = new Array();
var ex_examId=0;
var ex_examStatus=0;

var ISC = {};
/**
 * 定义简单的MAP操作对象
 * @author Pu Weibin
 * @datatime 2015-09-03
 * @param {Object} _ ISC
 */
var MAP = {};

ISC.map = {};

/**
 * 版本1.0
 */
ISC.map.version = 1.0;

/**
 * 添加一个KEY, VALUE的MAP值
 * @param {Object} key
 * @param {Object} value
 */
ISC.map.put = function (key, value) {
	MAP[key] = value;
};

/**
 * 根据MAP的KEY获取VALUE
 * @param {Object} key
 */
ISC.map.get = function (key) {
	return MAP[key];
};

/**
 * 更具MAP的KEY删除一个VALUE
 * @param {Object} key
 */
ISC.map.del = function (key) {
	delete MAP[key];
};

/**
 * 获取所有的KEY
 */
ISC.map.keySet = function () {
	var keySets = new Array();
	for (key in MAP) {
		if (!(typeof MAP[key] == "function")) {
			keySets.push(key);
		}
	}
	return keySets;
};

/**
 * 获取所有的MAP对象中的值
 */
ISC.map.each = function () {
	var keys = ISC.map.keySet();
	var values = new Array();
	for (var i = 0; i < keys.length; i++) {
		values.push(MAP[keys[i]]);
	}
	return values;
};

/**
 * 获取MAP数据大小
 */
ISC.map.size = function () {
	return ISC.map.keySet().length;
};



/**
 * 
 * 加载学生考试项目
 * 
 * 并根据考试项目的状态进行逻辑控制
 */
function loadUserExamItem() {
	var post_url = "http://" + getServer() + "/repariexam/mobileQueryStudentExamList.do";
	var date=new Date();
	var y = date.getFullYear();
	var snbr = getUserProperty(USER_NBR);
	var param = {
		schoolNbr : snbr,
		year : "",
		rows : 50,
		page : 1,
		exam_id : window.localStorage.getItem("ischoolyard.user.name")
	};
	$.ajax({
		type : "post",
		data : param,
		async : false,
		url : post_url,
		dataType : "jsonp",
		success : function(data) {
			var count=data.countRow;
			if(count>0){
				 $(".ksbm_all").empty();
				 $("#itemNoData").hide();
				 $(".ksbm_all").show();
				 
				for(var i=0;i<count;i++){
					var selectStutas=0;
					var selectStutasName='未报名';
					
					//考试项目未进行设置
					if(data.data[i].ORDER_NBR=='UNSELECT'){
						selectStutas=0;
						selectStutasName='未报名';
						
						if(data.data[i].STATUS==1){
							selectStutasName=selectStutasName+"(<font color=\"red\">已关闭</font>)";
						}
						
					//考试项目已设置，未支付	
					}else if (data.data[i].ORDER_NBR!='UNSELECT'&&data.data[i].ST==1){
						selectStutas=2;
						selectStutasName='未支付';
						
					//考试项目已支付	
					}else if (data.data[i].ORDER_NBR!='UNSELECT'&&data.data[i].ST==2){
						selectStutas=3;
						selectStutasName='已支付';
					}
					var tmpHttp='<div data-order-nbr="' + data.data[i].ORDER_NBR + '" class="ksbm_header_1" onclick="gotoExamItemCourse('+data.data[i].ID+','+selectStutas+','+data.data[i].STATUS+', this)">';
					    tmpHttp=tmpHttp+'<div class="ksbm_top_1">';
						tmpHttp=tmpHttp+'<img src="./img/ksbm_xuenian.png" style="width:22px;"/>';
						tmpHttp=tmpHttp+'<span>学年</span>';
						tmpHttp=tmpHttp+'<span>'+data.data[i].YEAR+'</span>';
					    tmpHttp=tmpHttp+'</div>';
					    tmpHttp=tmpHttp+'<div class="ksbm_top_2">';
					 	tmpHttp=tmpHttp+'<img src="./img/ksbm_leibie.png" style="width:14px;"/>&nbsp;';
					 	tmpHttp=tmpHttp+'<span>报名类别&nbsp;&nbsp;</span>';
					 	tmpHttp=tmpHttp+'<span>'+data.data[i].NAME+'</span>';	
					    tmpHttp=tmpHttp+'</div>';
					    tmpHttp=tmpHttp+'<div class="ksbm_top_3">';
						tmpHttp=tmpHttp+'<img src="./img/ksbm_kaishi.png" style="width:14px;"/>&nbsp;';
					 	tmpHttp=tmpHttp+'<span>开始时间&nbsp;&nbsp;</span>';
					 	tmpHttp=tmpHttp+'<span>'+data.data[i].START_DT+'</span>';	
					    tmpHttp=tmpHttp+'</div>';
					    tmpHttp=tmpHttp+'<div class="ksbm_top_4">';
						tmpHttp=tmpHttp+'<img src="./img/ksbm_jieshu.png" style="width:14px;"/>&nbsp;';
					 	tmpHttp=tmpHttp+'<span>结束时间&nbsp;&nbsp;</span>';
					 	tmpHttp=tmpHttp+'<span>'+data.data[i].END_DT+'</span>';	
					    tmpHttp=tmpHttp+'</div>';
					    tmpHttp=tmpHttp+'<div class="ksbm_top_5">';
						tmpHttp=tmpHttp+'<img src="./img/ksbm_zhuangtai.png"style="width:14px;" />&nbsp;';
					 	tmpHttp=tmpHttp+'<span>状态&nbsp;&nbsp;</span>';
					 	tmpHttp=tmpHttp+'<span>'+selectStutasName+'</span>';	
					    tmpHttp=tmpHttp+'</div></div>';
					 $(".ksbm_all").append(tmpHttp);
					
				}
			}else{
				 $("#itemNoData").show();
				 $(".ksbm_all").hide();
			}
		}
	});
}




/**
 *进行页面的初始化功能，根据考试项目和考试项目状态进行页面的初始化
 * 
 * 如果用户对应考试项目没有进行报名，则跳转到报名界面，如果已经完成
 * 
 * 报名，则跳转到订单详情界面
 */
function initCourse(examId,examOrderSt,examSt) {
	    ex_examId=examId;
	    schoolNbr=getUserProperty(USER_ID);
	    if(examOrderSt==0){
	    	$.ui.loadContent("#redo_1_panel", false, false, "slide");
	    	initPage(examId,examOrderSt,examSt);
	    }else
	    {
	    	gotoOrderDetail();
	    }
}




 /**
  * 初始化界面信息，用于展示未进行报名的考试 
  * 
  * examSt考试项目状态 0正常  1 已结束
  * 
  */ 
  
var tmpExamSt=0;  
function initPage(id,examOrderSt,examSt){
	    ex_examId=id;
	    tmpExamSt=examSt;
	    //进行底部控制菜单的初始化
	    //如果已过去，隐藏提交按钮
	    if(examSt==0){
	    	$("#examOrderDetail").hide();
	    	$("#examPayBottom").show();
	    	$("#payPrice").html("0.00");
	    }
	    
	    if(examSt==1){
	    	$("#examOrderDetail").show();
	    	$("#examPayBottom").hide();
	    	$("#payPrice").html("0.00");
	    }
	    
	     
    	$.ajax({
			type: "get",
			url: "http://" + getServer() + "/repariexam/mobileInitRepariExam.do?detype=android&schoolNbr="+schoolNbr+"&exam_id="+id,
			dataType:"jsonp",
			success: function(data){
				var state = data.state;
				var message = data.message;
				if(state == "1"){
					navigator.notification.alert("暂无需要选择重修补考的科目",null,"信息","确定");
					return;
				}
				// 获取重修补考项目选项
				repariExamItemList = data.repariExamItemList;
				// 获取重修及补考集合
				var repariExamList = data.repariExamList;
				if (repariExamList.length <= 0) {
					$("#examPayBottom").hide();
					$("#div-repariexam-coller").html("<div style='position: absolute; top: 0; left: 0; width: 100%; height: 40px; line-height: 40px; text-align: center; font-size: 14px; color: #AAAAAA;'>暂无重修补考项目</div>");
					return;
				} else {
					$("#examPayBottom").show();
				}
				
				if(repariExamList.length > 0){
					totalCourse=repariExamList.length;
					var repariExamHtml = "";
					repariExamHtml += "<div class=\"redo_section_one\">";
					repariExamHtml += "    <span>当前有</span>";
					repariExamHtml += "    <span>2</span>";
					repariExamHtml += "    <span>项需要进行报名</span>";
					repariExamHtml += "</div>";
					for(var i=0;i<repariExamList.length;i++){
						var isCheck = false;
						var Id = repariExamList[i].ID;
						var schoolNbr = repariExamList[i].SCHOOL_NBR;
						var courseCode = repariExamList[i].COURSE_CODE;
						var courseName = repariExamList[i].COURSE_NAME;
						var schoolYearUnit = repariExamList[i].SCHOOL_YEAR_UNIT;
						var exaType = repariExamList[i].EXA_TYPE;
						var grade = repariExamList[i].RESULT;
						var orderNbr = (repariExamList[i].ORDER_NBR == null ? "" : repariExamList[i].ORDER_NBR);
						var st = repariExamList[i].ST;
						repariExamHtml += "<div dataName=\""+Id+"\" class=\"redo_section_two\">";
						repariExamHtml += "		<div class=\"redo_section_two_1\">";
						repariExamHtml += "			<span>"+ courseName +"</span>";
						repariExamHtml += "		</div>";
						repariExamHtml += "<div class=\"redo_section_two_2\">";
						repariExamHtml += "		<span class=\"redo_section_two_2_1\"><img src='img/xueqi.png' style='width:14px;vertical-align:middle;'/>&nbsp;&nbsp学期&nbsp;</span>";
						repariExamHtml += "		<span class=\"redo_section_two_2_2\">"+ schoolYearUnit +"</span>";
						/*repariExamHtml += "		<span class=\"redo_section_two_2_1\">&nbsp;<img src='img/chengji.png' style='width:14px;vertical-align:middle;'/>&nbsp;&nbsp;当前成绩&nbsp;</span>";
						repariExamHtml += "		<span class=\"redo_section_two_2_2\">"+ grade +"</span>";*/
						repariExamHtml += "	</div>";
						repariExamHtml += "<div class=\"redo_section_two_3\">";
						repariExamHtml += "		<span class=\"redo_section_two_2_1\"><img src='img/chongxiu.png' style='width:14px;vertical-align:middle;'/>&nbsp;&nbsp;费用&nbsp;</span>";
						repariExamHtml += "		<span class=\"redo_section_two_2_2\" id='cxPrice"+Id+"'>"+ getPayPrice(schoolNbr,courseCode) +"</span>";
						/*repariExamHtml += "		<span class=\"redo_section_two_2_1\" style='padding-left:15%'><img src='img/bukao.png' style='width:14px;vertical-align:middle;'/>&nbsp;&nbsp;补考费用&nbsp;</span>";
						repariExamHtml += "		<span class=\"redo_section_two_2_2\">0.00</span>";*/
						repariExamHtml += "</div>";
						repariExamHtml += "<div class=\"redo_section_two_4\">";
						repariExamHtml += "<span><img src='img/buxi.png' style='width:16px;vertical-align:middle;'/>&nbsp;报名方式</span>";
						
						if(st!=1&&st!=2){
							$(".footer_one").show();
							repariExamHtml += "	<select style='width:95px;display:inline-block;' onchange=\"selectRepariExamItem();\">";
							repariExamHtml += "	<option dataName=\"请选择\" value=\"0\" pay=\"0\" typeName=\"请选择\" >请点我选择</option>";
							
							var tempCxPay = 0.00;
							for(var j=0;j<repariExamItemList.length;j++){
								var tmpSchoolNbr = repariExamItemList[j].SCHOOL_NBR;
								var tmpCourseCode = repariExamItemList[j].COURSE_CODE;
								var tmpTypeName = repariExamItemList[j].TYPE_NAME;
								var tmpPay = repariExamItemList[j].COST;
								var tmpId = repariExamItemList[j].ID;
								if(tmpSchoolNbr == schoolNbr && courseCode == tmpCourseCode){
									if (tmpTypeName == "重修学习"
								      || tmpTypeName == "重修" 
					    			  || tmpTypeName == "重新学习"
					    			  || tmpTypeName == "报名"
					    			  || tmpTypeName == "补办"
					    			  || tmpTypeName == "确认缴费"
					    			  || tmpTypeName == "确认支付"
									) {
										tempCxPay = tmpPay;
									}
									if (tmpTypeName == "补考") {
										repariExamHtml += "<option data-read-id=\""+Id+"\" tempCxPay=\"" + tempCxPay + "\" id=\""+ tmpId +"\" dataName=\""+ courseName +"\" value=\""+ tmpCourseCode +"\" pay=\""+ tmpPay +"\" typeName=\""+ tmpTypeName +"\">"+ tmpTypeName +"</option>";
									} else {
										repariExamHtml += "<option tempCxPay=\"0\" id=\""+ tmpId +"\" dataName=\""+ courseName +"\" value=\""+ tmpCourseCode +"\" pay=\""+ tmpPay +"\" typeName=\""+ tmpTypeName +"\">"+ tmpTypeName +"</option>";
									}
								}
								if (tmpTypeName && tmpTypeName == "补考"&&courseCode == tmpCourseCode) {
									isCheck = true;
								}
							}
							repariExamHtml += "	</select>";
						}
						else {
//							repariExamHtml +=repariExamItemList[j].SELECTRET ;
							repariExamHtml +=repariExamItemList[i].TYPE_NAME;
						}
						if (isCheck) {
							repariExamHtml += "<span class=\"select_mark\"><input data-id=\""+Id+"\" onchange=\"selectRepariExamItem();\" id=\"select_mark"+i+"\" type=\"checkbox\" style='vertical-align:middle;width:15px;height:15px;' /><label for=\"select_mark"+i+"\" style='font-size:13px;text-decoration:underline ;'>查分(10元)</label></span>";
						}
						repariExamHtml += " </div>";
						repariExamHtml += "</div>";
					}
					$("#div-repariexam-coller").html(repariExamHtml);

				}else{
					totalCourse=0;
				}
	  		}
		});
}





var _sumPrice = "";
var isdopay=1;

/**
 *根据用户的选择进行订单支付 
 */
function dopay() {
	var isdopay=1;
	var count = 0;
	_sumPrice = $("#payPrice").html();
	var currentPay=parseFloat($('#payPrice').html());
	$("#div-repariexam-coller select").children("option:selected").each(function() {
		var dataName = $(this).attr("dataName");
		if (dataName == "请选择") {
			count++;
		}
	});
	
	if (count > 0) {
		navigator.notification.alert("请选择要重新学习考试的课程", null, "提示", "确定");
		return;
	}
//	如果全部选择的重修，或者费用为零时，不应该跳转
	if(currentPay==0){
		payRepariExam(true, function(orderNumber){}); //直接提交 一卡通线下支付
	}
	if(currentPay>0){
		$.ui.loadContent("#kaoshi_apply", false, false, "slide");  //跳转到支付页面
	}

	//payRepariExam();
	$("#onlinePay").unbind('click').click(function(){
		if(isdopay>1)
		   return;
		   
		isdopay=2;
		ISchoolApi.alert.loading.show();
		setTimeout(function(){
			ISchoolApi.alert.loading.hide();
			payRepariExam(false, function(orderNumber){
				if (orderNumber) {
					saveUserInfo("ischool.pay.orderNumber", orderNumber);
					showPayPage(_sumPrice, orderNumber);
				} else {
					alert("创建订单失败");
				}
			});
		}, 800);
	});
	$("#offlinePay").unbind('click').click(function(){
		payRepariExam(true, function(orderNumber){
			saveUserInfo("ischool.pay.orderNumber", orderNumber);
			
			var offlineOrderNumbers = getUserProperty("ischool.pay.offline.orderNumbers");
			if (offlineOrderNumbers) {
				offlineOrderNumbers += ("," + orderNumber);
			} else {
				offlineOrderNumbers = orderNumber;
			}
			saveUserInfo("ischool.pay.offline.orderNumbers", offlineOrderNumbers);
		});
	});
}

function showPayPage (sp, orderNumber) {
	var paypayDiv = document.getElementById("paypayDiv");
	if (paypayDiv) {
		$(paypayDiv).show();
		return;
	}
	var spnew=sp;
	var html = "<div id='paypayDiv' style='position: absolute; width: 100%; height: 100%; background-color: rgba(0, 0, 0, 0.7); z-index: 400;'>"
					+ "<div style='top:50%; left:50%; position: absolute; width: 300px; height: 180px; background-color: #FFFFFF; margin-top: -90px; margin-left: -150px; z-index: 500;'>" 
					+ "<div style='width: 100%; height: 60px; line-height: 60px; text-align: center; color: #008000; border-bottom: 1px solid #CCCCCC; font-size: 18px;'>费用" + spnew + "元，有效支付时间30分钟</div>"
					+ "<div class='zfbMenu' style='width: 100%; height: 60px; line-height: 60px; text-align: center; color: #B03911; border-bottom: 1px solid #CCCCCC; font-size: 18px;' onclick='alipay(" + spnew + ", \"" + orderNumber + "\");'>"
					+ "<img src=\"img/ch_zhifubao.png\" style='width: 90px; height: 25px;' />"
					+ "</div>"
					+ "<div style='width: 100%; height: 60px; line-height: 60px; text-align: center; color: #B03911; border-bottom: 1px solid #CCCCCC; font-size: 18px;' onclick='exitPay();'>暂不支付</div>"
					+ "</div>"
			 + "</div>";
	
	$(document.body).append(html);
}

function exitPay () {
	gotoOrderDetail();
	$("#paypayDiv").hide();
}

function updatePay(orderNumber, payType, threePayType, st){
	var _url = "http://" + getServer() + "/repariexam/mobileUpdPayTypeExam.do";
	$.ajax({
		type:"post",
		url:_url,
		async:true,
		data: {
			"orderNbr" : orderNumber,
			"payType" : payType,
			"threePayType" : threePayType,
			"st" : st
		},
		success : function () {
		}
	});
}

function payViewText(txt){
	var orderstatus = $("#orderstatus");
	if (orderstatus) {
		orderstatus.html(txt);
	}
};

function alipay (price, orderNumber) {
	ISchoolApi.alert.loading.show();
	cordova.exec(
        function(res) {
            if (res == 1) {
            	cordova.exec(function (result) {
					if (result.status == "success") {
			    		updatePay(orderNumber, 2, "alipay", 2);
			    		if (isPay) {
							payViewText("已支付");
			    		}
			    		ISchoolApi.alert.loading.hide();
						gohome();
					} else {
						updatePay(orderNumber, 2, "alipay", 1);
						if (isPay) {
							payViewText("点击支付");
						}
						ISchoolApi.alert.loading.hide();
					}
					
					isPay = false;
				}, function (error) {
					updatePay(orderNumber, 2, "alipay", 1);
					if (isPay) {
						payViewText("点击支付");
					}
					isPay = false;
					ISchoolApi.alert.loading.hide();
				}, "AlipayPlugin", "pay", [{
					"orderNumber" : orderNumber,
					"callbackUrl" : "http://" + getServer() + "/repariexam/callbackOrderState.do",
					"subject":"成都文理学院考试报名缴费", 
					"body": "成都文理学院考试报名缴费", 
					"price": price
				}]);
            } else {
                alert("未安装支付宝的客户端");
                ISchoolApi.alert.loading.hide();
            }
            $("#paypayDiv").hide();
            isPay = false;
        },
        function() {
        	ISchoolApi.alert.loading.hide();
        	$("#paypayDiv").hide();
        	isPay = false;
        }, "AlipayPlugin", "check", [{}]);
}

    
 var totalCourse=0;   
 var orderNbr=0;
    
    
    
    
  /**
   * 对选择的结果进行支付 
   */  
  function payRepariExam(isGoMsg, callback){
    	var sumPrice = _sumPrice;
    	var repariExamItem = selectArray.join(",").toString();
    	var repariExamSelectItem = selectItemArray.join(",").toString();
    	var checkItemArrayItem = checkItemArray.join(",").toString();
    	var pt = 1;
    	if (!isGoMsg) {
    		pt = 2;
    	}
    	var dataparam={
    		schoolNbr:schoolNbr,
    		examId:ex_examId,
    		sumPrice:sumPrice,
    		repariExamItem:repariExamItem,
    		repariExamSelectItem:repariExamSelectItem,
    		repariSearchItem:checkItemArrayItem,
    		payType: pt
    	};
    	
    	var orderNbr = "";
    	$.ajax({
			type: "POST",
			data:dataparam,
			url: "http://" + getServer() + "/repariexam/mobilePayRepariExam.do?detype=android",
			dataType:"jsonp",
			async: false,
			success: function(data){
				orderNbr = data.orderNbr;
				var state = data.state;
				var message = data.message;
				if(state == "1"){
					navigator.notification.alert(message,null,"信息","确定");
					return;
				}
				//支付提交成功后，跳转到订单详情界面
				if (isGoMsg) {
					gotoOrderDetail();
				}
				callback(orderNbr);
			},
			error : function() {
				navigator.notification.alert("提交失败",null,"信息","确定");
			}
    	});
    	return orderNbr;
    }
 
 
var chafenPay = 10;

/**
 *对选择的项目进行价格合计 
 */    
function selectRepariExamItem(){
    	selectArray = new Array();
    	selectItemArray = new Array();
    	checkItemArray = new Array();
    	var currentPay = 0;
    	var chafenPay = 10;
    	$("#div-repariexam-coller select").each(function(){
    		var id = $(this).parent().parent().attr("dataName");
    		var selectOption = $(this).find("option:selected");
    		var optId = selectOption.attr("id");
    		var dataName = selectOption.attr("dataName");
    		var payPrice = selectOption.attr("pay");
    		var typeName = selectOption.attr("typeName");
			var tempCxPay = selectOption.attr("tempCxPay");
			var dataReadId = selectOption.attr("data-read-id");
			var select_mark = $(this).next(".select_mark");
    		var cfCheckbox = select_mark.find("input[type=checkbox]");
    		if (dataName != "请选择") {
    			if (typeName == "重修" 
    			 || typeName == "重新学习"
    			 || typeName == "报名"
    			 || typeName == "补办"
    			 || typeName == "确认缴费"
    			 || typeName == "确认支付"
    			 ) {
    				currentPay += parseFloat(payPrice);
    			}
    			if (typeName == "补考" 
    			 || typeName=="重修"
    			 || typeName == "重新学习"
    			 || typeName=="报名"
    			 || typeName=="补办"
    			 || typeName=="确认缴费"
    			 || typeName=="确认支付"
    			 ) {
    				select_mark.show();
    			}
    			selectArray.push(id + "-" + payPrice);
    			selectItemArray.push(id + "-" + optId);
    		}
    		if (cfCheckbox.length>0 && cfCheckbox[0].checked) {
				currentPay += parseFloat(chafenPay);
				checkItemArray.push(id + "-" + parseFloat(chafenPay));
			}
    		$("#payPrice").html(currentPay.toFixed(2));
			
    	});
    	
}

//如果选中当前查分,会增加10元的查分费用
function select_mark_pay(thisObj){
	 //判断查分选项如果是选中状态价格加10
	 var currentPay=$('#payPrice').html();
	 var numberObj=parseFloat(currentPay);
	 var select_mark_span=$("#div-repariexam-coller").find('.select_mark'); //得到查分容器
	 var allInput=$("#div-repariexam-coller").find('.select_mark').find('input'); //得到查分容器
	var id = $(thisObj).attr("data-id");
	if(thisObj.checked){
	 		numberObj += parseFloat(chafenPay);
	 		checkItemArray.push(id + "-" + parseFloat(chafenPay));
	}else{
		numberObj-=parseFloat(chafenPay);
		if(numberObj<0){
			numberObj=0.00;
		}
		for (var i = 0; i < checkItemArray.length; i++) {
			var _item = checkItemArray[i];
			if (_item == (id + "-" + parseFloat(chafenPay))) {
				checkItemArray.splice(i, 1);
			}
		}
	}
	$("#payPrice").html(numberObj.toFixed(2));

}
    
    
function getPayPrice(schoolNbr,courseCode){
	for (var ii = 0; ii < repariExamItemList.length; ii++) {
		var tmpSchoolNbr = repariExamItemList[ii].SCHOOL_NBR;
		var tmpCourseCode = repariExamItemList[ii].COURSE_CODE;
		var tmpTypeName = repariExamItemList[ii].TYPE_NAME;
		var tmpPay = repariExamItemList[ii].COST;
		if((tmpTypeName == "重修" 
		 || tmpTypeName == "重新学习"
		 || tmpTypeName=="报名"
    	 || tmpTypeName=="补办"
    	 || tmpTypeName=="确认缴费"
    	 || tmpTypeName=="确认支付"
		 ) && tmpSchoolNbr == schoolNbr && courseCode == tmpCourseCode){
			return tmpPay;
		} else if (ii == repariExamItemList.length - 1) {
			return 0;
		}
	}
}


/* ---------------------------------------------回执部分--------------------------------------------------*/

    function getRepariExamStr(schoolNbr,courseCode,Id){
    	for(var j=0;j<repariExamItemList.length;j++){
			var tmpId = repariExamItemList[j].ID;
			var tmpSchoolNbr = repariExamItemList[j].SCHOOL_NBR;
			var tmpCourseCode = repariExamItemList[j].COURSE_CODE;
			var tmpTypeName = repariExamItemList[j].TYPE_NAME;
			if(tmpSchoolNbr == schoolNbr && courseCode == tmpCourseCode && tmpId == Id){
				return tmpTypeName;
			}
		}
    }
    
    
    var isPay = false;
    
    
    /*
                  刷新重修补考回执单信息
     */
    function flushRedoResData(){
    	schoolNbr=getUserProperty(USER_ID);
    	$("#bcTarget").empty().barcode(schoolNbr, "code128",{barWidth:1, barHeight:40,showHRI:true});
    	var rbData={
    		schoolNbr:schoolNbr,
    		exam_id:ex_examId
    	};
    	$.ajax({
			type: "POST",
			data:rbData,
			url: "http://" + getServer() + "/repariexam/mobileInitRepariExam.do?detype=android",
			dataType:"jsonp",
			success: function(data){
				var state = data.state;
				var message = data.message;
				if(state == "1"){return;} 
				// 获取重修补考项目选项
				repariExamItemList = data.repariExamItemList;
				// 获取重修及补考集合
				var repariExamList = data.repariExamList;
				if(repariExamList.length > 0){
					getOrderInfo(getUserProperty("ischool.pay.orderNumber"), function(p) {
						var serverOrderNumber = getUserProperty("ischool.pay.orderNumber");
						var offlineOrderNumbers = getUserProperty("ischool.pay.offline.orderNumbers");
						var isOffline = false;
						if (offlineOrderNumbers) {
							var numbers = offlineOrderNumbers.split(",");
							if (numbers) {
								for (var i = 0; i < numbers.length; i++) {
									if (serverOrderNumber == numbers[i]) { isOffline = true;}
								}
							}
						}

						var orderSt=repariExamList[0].ST;
						if (isOffline) {
							$(".redo_back_top_1").show();
							$(".redo_back_top_2").show();
							$("#orderstatus").html("线下支付");
						} else if (p <= 0 && orderSt=='1') {
							$(".redo_back_top_1").hide();
							$(".redo_back_top_2").hide();
							$("#orderstatus").html("已报考");
						} else if (orderSt=='0') {
							$(".redo_back_top_1").show();
							$(".redo_back_top_2").show();
							$("#orderstatus").html("已提交");
						} else if (orderSt=='1') {
							$(".redo_back_top_1").hide();
							$(".redo_back_top_2").hide();
							$("#orderstatus").html("点击支付");
							$("#orderstatus").parent("#orderstatus-div").unbind("click").click(function(){
								if ($("#orderstatus").html() == "点击支付") {
									ISchoolApi.alert.loading.show();
									setTimeout(function(){
										ISchoolApi.alert.loading.hide();
										getOrderInfo(getUserProperty("ischool.pay.orderNumber"), function(p) {
											if (p > 0) {
												showPayPage(p, getUserProperty("ischool.pay.orderNumber"));
												isPay = true;
											}
										});
									}, 800);
								}
							});
						} else if (orderSt='2'){
							$(".redo_back_top_1").hide();
							$(".redo_back_top_2").hide();
							$("#orderstatus").html("已支付");
						}
					});
					var repariExamHtml = "";
					for(var i=0;i<repariExamList.length;i++){
						var schoolNbr = repariExamList[i].SCHOOL_NBR;
						var courseCode = repariExamList[i].COURSE_CODE;
						var courseName = repariExamList[i].COURSE_NAME;
						var schoolYearUnit = repariExamList[i].SCHOOL_YEAR_UNIT;
						var exaType = repariExamList[i].EXA_TYPE;
						var grade = repariExamList[i].RESULT;
						var st = repariExamList[i].ST;
						var repariExamId = repariExamList[i].COURSE_CHOOSE_RESULT;
						var charge=repariExamList[i].CHARGE;
						repariExamHtml += "<div class=\"redo_back_foot_one\">";
						repariExamHtml += "		<div class=\"redo_back_kemu\">";
						repariExamHtml += "			<span>"+ courseName +"</span>";
						repariExamHtml += "		</div>";
						repariExamHtml += "		<div class=\"redo_back_xueqi\">";
						repariExamHtml += "			<div class=\"redo_back_xueqi1\">";
						repariExamHtml += "				<span class=\"redo_back_section_two_2_1\">学期：</span>";
						repariExamHtml += "				<span class=\"redo_back_ection_two_2_2\">"+ schoolYearUnit +"</span>";
						repariExamHtml += "			</div>";
						repariExamHtml += "			<div class=\"redo_back_xueqi\">";
						repariExamHtml += "				&nbsp;<span class=\"redo_back_section_two_2_1\">费用：</span>";
						repariExamHtml += "				<span class=\"redo_back_section_two_2_2\">"+ charge +"元</span>";
						repariExamHtml += "			</div>";
						repariExamHtml += "		</div>";
						repariExamHtml += "		<div class=\"redo_back_xueqi\">";
						repariExamHtml += "			<div class=\"redo_back_xueqi1\" style='margin-top:-10px;'>";
						repariExamHtml += "				<span>申报方式：</span>";
						repariExamHtml += "				<span>"+ getRepariExamStr(schoolNbr,courseCode,repariExamId) +"</span>";
						repariExamHtml += "			</div>";
						repariExamHtml += "		</div>";
						repariExamHtml += "</div>";
					}
					
					$("#footer-repariexam").html(repariExamHtml);
					var imgPath = data.imgPath;
					$("#barcode").attr("src", "http://" + getServer() + "/barcodeImg/" + imgPath);
				}
	  		}
		});
    }
    
    
function getOrderInfo (orderNumber, callback) {
	$.ajax({
		type:"post",
		url:"http://" + getServer() + "/repariexam/mobileOrderPayPrice.do",
		data:{
			"orderNbr" : orderNumber
		},
		dataType:"jsonp",
		async : false,
		success : function(result) {
			callback(parseFloat(result.ORDER_PRICE));
		},
		error : function () {
			callback(0);
		}
	});
}


