/*!
 *	wuxl
 *  Date: 2015-07-06
 *  移动应用主文件
 */
var _App = {
	/**
	 * App初始化方法
	 * @param {Object} options
	 */
	init: function(options) {
		var that = this;
		var appConfig = mui.extend(true, that.config, options || {});
		that.config = appConfig;
		var muiConfig = appConfig;
		//alert('app init');
		if(mui.isObject(appConfig.pageInfoConfig)) {
			var scrollerConfig = mui.extend(true, that.scrollerFactory.defaults, options.pageInfoConfig || {});
			that.scroller = that.scrollerFactory.init(scrollerConfig);
			muiConfig.pullRefresh = {
				container: '#'+appConfig.pageInfoConfig.scrollerId,//'#pullrefresh',
				down: {
					callback: that.scroller.pulldownRefresh
				},
				up: {
					contentrefresh: '正在载入...',
					callback: that.scroller.pullupRefresh
				}
			};
		} 
		muiConfig.swipeBack = appConfig.swipeBack;
		if(appConfig.preloadPages) {
			muiConfig.preloadPages = appConfig.preloadPages;
		}
		if(mui.isFunction(appConfig.uiReady)) {
			that.uiReady = appConfig.uiReady;
		}
		if(mui.isFunction(appConfig.deviceReady)) {
			that.deviceReady = appConfig.deviceReady;
		}
		//alert('muiConfig:'+JSON.stringify(muiConfig));
		try{
			mui.init(muiConfig);
		}catch(e){
			console.log('something is error '+e.getMessage());
		}
		
		//console.log('mui init');
	},
	//ui加载完成调用
	uiReady: false,
	//设备资源加载完成调用
	deviceReady: false,
	/**
	 * 分页实例
	 */
	scroller: false,
	/**
	 * 加载信息
	 */
	showWaiting: false,
	/**
	 * 应用默认配置
	 */
	config: {
		swipeBack: false,
		screenLockOrientation: true,
		pageInfoConfig: false
	}
};
mui.ready(function() {
	//console.log('mui ready...');
	if(_App.config.tabConfig) {//该项目，尽量别用
		//当前激活选项
		var tabItems = document.body.querySelectorAll('.mui-tab-item');
		var activeTab = null;
		if(tabItems.item(0)){
			activeTab =  tabItems.item(0).getAttribute('href');
		}
		var title = document.getElementById(_App.config.tabConfig.titleId);
		//选项卡点击事件
		mui('.mui-bar-tab').on('tap', 'a', function(e) {
			var subpage_style = {
				top: '46px',
				bottom: '50px'
			};
			var targetTab = this.getAttribute('href');
			if(targetTab){
				plus.webview.show(targetTab, 'none');
			}
			if (targetTab == activeTab) {
				return;
			} else {
//				var self = plus.webview.currentWebview();
//				var sub = plus.webview.create(targetTab, targetTab, subpage_style);
//				self.append(sub);
//				targetTab = sub;
			}
			//更换标题
			//title.innerHTML = this.querySelector('.mui-tab-label').innerHTML;
			//显示目标选项卡
			//plus.webview.show(targetTab, 'slide-in-right');
			plus.webview.show(targetTab, 'none');
			//隐藏当前;
			plus.webview.hide(activeTab);
			//更改当前活跃的选项卡
			activeTab = targetTab;
		});
	}
	if(mui.isArray(_App.config.pageInfoConfig)) {
		//alert('isArray');
		mui('.mui-scroll-wrapper').scroll({
			bounce: false,
			indicators: true //是否显示滚动条
		});
		_App.pullToRefreshFactory.init(_App.config.pageInfoConfig);
	}
	if(mui.isFunction(_App.uiReady)) {
		_App.uiReady();
	}
	//console.log('mui ready');
});
mui.plusReady(function() {
	//console.log('plus ready...');
	plus.nativeUI.showWaiting( "正在加载..." );
	if(mui.isFunction(_App.deviceReady)) {
		_App.deviceReady();
	}
	if(_App.config.screenLockOrientation) {
		plus.screen.lockOrientation("portrait-primary");
	}
	if(_App.config.tabConfig) {
		var subpage_style = {
				top: '0px',
				bottom: '50px'
			};
		var self = plus.webview.currentWebview();
		var tabItems = document.body.querySelectorAll('.mui-tab-item');
		
		for (var i = 0; i < tabItems.length; i++) {
			var href = tabItems.item(i).getAttribute('href');
//			console.log('加载页面：'+href);
			//var sub = plus.webview.create(href, href, subpage_style);
			var sub = mui.createWindow({id: href, url: href, styles: subpage_style});
			
			sub.onloading = function(){
				plus.nativeUI.showWaiting( "正在加载..." );
			};
			if (i > 0) {
				sub.hide();
			}
			sub.onloaded = function(){
				plus.nativeUI.closeWaiting();
			};
			self.append(sub);
		}
		//plus.nativeUI.closeWaiting();
	}
	plus.nativeUI.closeWaiting();
	//console.log('plus ready');
});


