var pushServer = "http://demo.dcloud.net.cn/helloh5/push/";
var message = null;
// 监听plusready事件  
document.addEventListener( "plusready", function(){
	message = document.getElementById("message");
	// 监听点击消息事件
	plus.push.addEventListener( "click", function( msg ) {
		// 判断是从本地创建还是离线推送的消息
		switch( msg.payload ) {
			case "LocalMSG":
				console.log( "点击本地创建消息启动：" );
			break;
			default:
				console.log( "点击离线推送消息启动：");
			break;
		}
		// 提示点击的内容
		plus.nativeUI.alert( msg.content );
		// 处理其它数据
		logoutPushMsg( msg );
	}, false );
	// 监听在线消息事件
	plus.push.addEventListener( "receive", function( msg ) {
		if ( msg.aps ) {  // Apple APNS message
			console.log( "接收到在线APNS消息：" );
		} else {
			console.log( "接收到在线透传消息：" );
		}
		logoutPushMsg( msg );
	}, false );
}, false );

/**
 * 日志输入推送消息内容
 */
function logoutPushMsg( msg ) {
	console.log( "title: "+msg.title );
	console.log( "content: "+msg.content );
	if ( msg.payload ) {
		if ( typeof(msg.payload)=="string" ) {
			console.log( "payload(String): "+msg.payload );
		} else {
			console.log( "payload(JSON): "+JSON.stringify(msg.payload) );
		}
	} else {
		console.log( "payload: undefined" );
	}
	if ( msg.aps ) {
		console.log( "aps: "+JSON.stringify(msg.aps) );
	}
}

/**
 * 获取本地推送标识信息
 */
function getPushInfo(){
	var info = plus.push.getClientInfo();
	alert( "获取客户端推送标识信息：" );
	alert( "token: "+info.token );
	alert( "clientid: "+info.clientid );
	alert( "appid: "+info.appid );
	alert( "appkey: "+info.appkey );
}
/**
 * 本地创建一条推动消息
 */
function createLocalPushMsg(){
	var options = {cover:false};
	var str = dateToStr(new Date());
	str += ": 欢迎使用Html5 Plus创建本地消息！";
	plus.push.createMessage( str, "LocalMSG", options );
	alert( "创建本地消息成功！" );
	alert( "请到系统消息中心查看！" );
	if(plus.os.name=="iOS"){
		alert('*如果无法创建消息，请到"设置"->"通知"中配置应用在通知中心显示!');
	}
}
/**
 * 读取所有推送消息
 */
function listAllPush(){
	var msgs=null;
	switch ( plus.os.name ) {
		case "Android":
		msgs = plus.push.getAllMessage();
		break;
		default:
		break;
	}
	if ( !msgs ) {
		alert( "此平台不支持枚举推送消息列表！" );
		return;
	}
	alert( "枚举消息列表（"+msgs.length+"）：" );
	for ( var i in msgs ) {
		var msg = msgs[i];
		alert( i+": "+msg.title+" - "+msg.content );
	}
}
/**
 * 清空所有推动消息
 */
function clearAllPush(){
	plus.push.clear();
	alert( "清空所有推送消息成功！" );
}
/**
 * 请求‘简单通知’推送消息
 */
function requireNotiMsg(){
	var url = pushServer+'notiPush.php?appid='+encodeURIComponent(plus.runtime.appid);
	url += ('&cid='+encodeURIComponent(plus.push.getClientInfo().clientid));
	url += ('&title='+encodeURIComponent('Hello H5+'));
	url += ('&content='+encodeURIComponent('欢迎回来体验HTML5 plus应用！'));
	url += ('&version='+encodeURIComponent(plus.runtime.version));
	plus.runtime.openURL( url );
}
/**
 * 请求‘打开网页’推送消息
 */
function requireLinkMsg(){
	var url = pushServer+"linkPush.php?appid="+encodeURIComponent(plus.runtime.appid);
	url += ('&cid='+encodeURIComponent(plus.push.getClientInfo().clientid));
	url += ('&title='+encodeURIComponent('HBuilder飞一样的编码'));
	url += ('&content='+encodeURIComponent('看HBuilder如何追求代码编写速度的极致！立即去瞧一瞧？'));
	url += ('&url='+encodeURIComponent('http://www.dcloud.io/'));
	url += ('&version='+encodeURIComponent(plus.runtime.version));
	plus.runtime.openURL( url );
}
/**
 * 请求‘下载链接’推送消息
 */
function requireDownMsg(){
	if ( plus.os.name != "Android" ) {
		plus.nativeUI.alert( "此平台不支持！" );
		return;
	}
	var url = pushServer+'downPush.php?appid='+encodeURIComponent(plus.runtime.appid);
	url += ('&cid='+encodeURIComponent(plus.push.getClientInfo().clientid));
	url += ('&title='+encodeURIComponent('Hello H5+'));
	url += ('&content='+encodeURIComponent('新版本发布了！立即下载体验？'));
	url += ('&poptitle='+encodeURIComponent('Hello H5+'));
	url += ('&popcontent='+encodeURIComponent('1. 优化用户体验;\n2. 修复在Android2.3.x某些设备可能异常退出的问题.'));
	url += ('&downtitle='+encodeURIComponent('下载Hello H5+'));
	url += ('&downurl='+encodeURIComponent('http://d.m3w.cn/helloh5p/HelloH5.apk'));
	url += ('&version='+encodeURIComponent(plus.runtime.version));
	plus.runtime.openURL( url );
}
/**
 * 请求‘透传数据’推送消息
 */
function requireTranMsg(){
	var url = pushServer+'tranPush.php?appid='+encodeURIComponent(plus.runtime.appid);
	url += ('&cid='+encodeURIComponent(plus.push.getClientInfo().clientid));
	url += ('&title='+encodeURIComponent('Hello H5+'));
	url += ('&content='+encodeURIComponent('带透传数据推送通知，可通过plus.push API获取数据并进行业务逻辑处理！'));
	url += ('&payload='+encodeURIComponent('{title:"Hello H5+ Test",content:"test content",payload:{id:"1234567890"}}'));
	url += ('&version='+encodeURIComponent(plus.runtime.version));
	plus.runtime.openURL( url );
}